Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.parser

# Class SqlParser.Builder

java.lang.Object
org.firebirdsql.jaybird.parser.SqlParser.Builder

Enclosing class:
  SqlParser

public static class SqlParser.Builder extends Object

## Method Summary

Modifier and Type
Method
Description
`SqlParser`
`of(String statementText)`
`SqlParser.Builder`
`withVisitor(TokenVisitor visitor)`
`SqlParser.Builder`
`withVisitors(TokenVisitor... visitors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### withVisitor

public SqlParser.Builder withVisitor(TokenVisitor visitor)

### withVisitors

public SqlParser.Builder withVisitors(TokenVisitor... visitors)

### of

public SqlParser of(String statementText)